[Bioperl-l] IPC/Run.pm?

Mark A. Jensen maj at fortinbras.us
Wed Oct 20 21:21:56 EDT 2010


I would +1 making IPC::Run required. It's got some nice features and it much safer than system(). Might even want to make it a dev recommendation for all system calls. MAJ

>-----Original Message-----
>From: Robert Buels [mailto:rmb32 at cornell.edu]
>Sent: Wednesday, October 20, 2010 08:27 PM
>To: 'Chris Fields'
>Cc: bioperl-l at lists.open-bio.org
>Subject: Re: [Bioperl-l] IPC/Run.pm?
>
>Ah, the joys of optional deps.
>
>You know, bioperl-run does not have that many deps right now.  Why don't 
>we just make those optional ones required?
>
>R
>
>
>Chris Fields wrote:
>> If you mean IPC::Run, I'm not sure.  I don't think BioPerl-Run was ever a part of Strawberry Perl Pro.
>> 
>> I do know there are some warnings that will pop up with BioPerl when using perl 5.12; these have been fixed in the github repo but haven't made their way into a release yet.
>> 
>> chris
>> 
>> On Oct 19, 2010, at 3:38 PM, T D wrote:
>> 
>>> Thank you. I downloaded IPC::Run and the code seems to be working now. Is
>>> Run.pm no longer part of the latest Strawberry Perl installation (v5.12.1)?
>>>
>>>
>>> On Tue, Oct 19, 2010 at 1:33 PM, Chris Fields <cjfields at illinois.edu> wrote:
>>>
>>>> No, IPC::Run is different than IPC::Run3:
>>>>
>>>> http://search.cpan.org/dist/IPC-Run/
>>>> http://search.cpan.org/dist/IPC-Run3/
>>>>
>>>> Both should work under Windows, not sure about Windows7 but I can't see why
>>>> they wouldn't work.
>>>>
>>>> chris
>>>>
>>>> On Oct 19, 2010, at 12:28 PM, T D wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> I'm new to BioPerl and Perl in general, and I'm trying to get
>>>>> StandAloneBlastPlus to run. I got the latest versions using git and
>>>>> downloaded bioperl-live  and bioperl-run.  I am having issues with Perl
>>>> not
>>>>> finding modules. Here is my error:
>>>>>
>>>>> Can't locate IPC/Run.pm in @INC
>>>>>
>>>>> Where is this module located? I am running Windows 7. I did a search for
>>>> the
>>>>> Run.pm and could only find IPC/*Run3.pm* under my Perl installation. Is
>>>>> Run.pm the older version? I have Perl v5.12.1 installed.
>>>>>
>>>>> Thanks in advance!
>>>>> Tracey
>>>>> _______________________________________________
>>>>> Bioperl-l mailing list
>>>>> Bioperl-l at lists.open-bio.org
>>>>> http://lists.open-bio.org/mailman/listinfo/bioperl-l
>>>>
>>> _______________________________________________
>>> Bioperl-l mailing list
>>> Bioperl-l at lists.open-bio.org
>>> http://lists.open-bio.org/mailman/listinfo/bioperl-l
>> 
>> 
>> _______________________________________________
>> Bioperl-l mailing list
>> Bioperl-l at lists.open-bio.org
>> http://lists.open-bio.org/mailman/listinfo/bioperl-l
>> 
>
>_______________________________________________
>Bioperl-l mailing list
>Bioperl-l at lists.open-bio.org
>http://lists.open-bio.org/mailman/listinfo/bioperl-l
>




More information about the Bioperl-l mailing list